cURL
curl --request DELETE \
--url https://sandbox.zapyd.com/cms/api/v1/bank/{customer_id}/{bank_id}/delete \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/cms/api/v1/bank/{customer_id}/{bank_id}/delete"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/cms/api/v1/bank/{customer_id}/{bank_id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"id": "4e6f1b20-a73c-11ec-b909-0242ac120002",
"customer_id": "550e8400-e29b-41d4-a716-446655440000",
"country": "IND",
"bank_account_type": "ACCOUNT_DETAILS",
"identifiers": {
"account_number": "7627389201",
"ifsc": "SBIN0001829"
},
"account_number": "7627389201",
"ifsc": "SBIN0001829",
"bank_account_status": "VERIFIED",
"beneficiary_name": "JOHN DOE",
"bank_name": "State Bank of India",
"failure_reason": null
}
}{
"status": false,
"message": "Bad Request",
"err_code": "REQ_FIELD_MISSING",
"errors": {
"bank_id": [
"<string>"
]
},
"data": null
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Bank accounts
Delete Bank Account
Deletes a bank account linked to a customer.
DELETE
/
bank
/
{customer_id}
/
{bank_id}
/
delete
cURL
Delete Bank Account
| API Status Code | Response | Reason |
|---|---|---|
| 400 | Customer not found or access denied | Customer not found |
| 400 | Customer not found or access denied | Customer does not belong to the organization |
| 400 | Bank not found or access denied | Bank not found |
| 400 | Bank not found or access denied | Bank does not belong to the Customer |
| 500 | Internal Server Error. | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
Customer's unique identifier
Bank account's unique identifier
⌘I